Bug 617797 - Review Request: ranger - A flexible console file manager
Review Request: ranger - A flexible console file manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 22:40 EDT by Ben Boeckel
Modified: 2010-08-23 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: ranger-1.1.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 13:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-07-23 22:40:47 EDT
Spec URL: http://blipper.dev.benboeckel.net/files/pkg/ranger.spec
SRPM URL: http://blipper.dev.benboeckel.net/yum/13/x86_64/src/ranger-1.1.2-1.fc13.src.rpm
Description:
Ranger is a free console file manager that gives you greater flexibility and a                 
good overview of your files without having to leave your *nix console. It                      
visualizes the directory tree in two dimensions: the directory hierarchy on                    
one, lists of files on the other, with a preview to the right so you know where                
you'll be going.

% lintmock fedora-13-x86_64-bb
ranger.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ranger/__main__.py 0644L /usr/bin/env
ranger.src: W: strange-permission ranger-1.1.2.tar.gz 0640L
ranger.src: W: strange-permission ranger.spec 0640L
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

First error has a bug filed: https://savannah.nongnu.org/bugs/index.php?30533
Second two are my umask.
Comment 1 Mamoru TASAKA 2010-07-24 00:22:29 EDT
Hi, Ben:

I will review this. Instead I would appreciate it if you would review
my review request (bug 617764 , also python package)
Comment 2 Mamoru TASAKA 2010-07-24 13:44:40 EDT
Well, another interesting file manager :)

Some notes:

! python2 vs python3
  - As your spec file uses %{python_sitelib} which is python2
    specific macro, I think explicitly writing "BR: python2-devel"
    rather than "BR: python-devel" is preferable.
    https://fedoraproject.org/wiki/Packaging/Python#BuildRequires

! BuildRoot
  - BuildRoot tag is no longer needed on Fedora (only needed
    on EPEL5)
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

! default %setup
  - By default %setup uses "%{name}-%{version}". so explicitly writing
    "-n %{name}-%{version}" is not needed.

* rpmlint issue
---------------------------------------------------------
ranger.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ranger/__main__.py 0644L /usr/bin/env
---------------------------------------------------------
  - This file need not have shebang.
Comment 3 Ben Boeckel 2010-07-24 14:29:20 EDT
(In reply to comment #2)
> Well, another interesting file manager :)

I have another one queued up, but it still needs some work and isn't actively maintained AFAICS. :)

> Some notes:
> 
> ! python2 vs python3
>   - As your spec file uses %{python_sitelib} which is python2
>     specific macro, I think explicitly writing "BR: python2-devel"
>     rather than "BR: python-devel" is preferable.
>     https://fedoraproject.org/wiki/Packaging/Python#BuildRequires

Done.

> ! BuildRoot
>   - BuildRoot tag is no longer needed on Fedora (only needed
>     on EPEL5)
>     https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

Oops, yeah. rpmdev-newspec template got me here.

> ! default %setup
>   - By default %setup uses "%{name}-%{version}". so explicitly writing
>     "-n %{name}-%{version}" is not needed.

Yeah, I do this out of habit because some of the packages I maintain I do snapshots at times (Rawhide and my personal repo) and this keeps the diffs low. Looking closer at the release windows, it looks like I won't need to do many here. Removing.

> * rpmlint issue
> ---------------------------------------------------------
> ranger.noarch: E: non-executable-script
> /usr/lib/python2.6/site-packages/ranger/__main__.py 0644L /usr/bin/env
> ---------------------------------------------------------
>   - This file need not have shebang.    

Patch included. Bug filed upstream (link in request).

% lintmock fedora-13-x86_64-bb
ranger.src: W: strange-permission ranger-1.1.2-remove-shebang.patch 0640L
ranger.src: W: strange-permission ranger.spec 0640L
ranger.src: W: strange-permission ranger-1.1.2.tar.gz 0640L
ranger.src: W: no-buildroot-tag
2 packages and 0 specfiles checked; 0 errors, 4 warnings

Spec URL: http://blipper.dev.benboeckel.net/files/pkg/ranger.spec
SRPM URL:
http://blipper.dev.benboeckel.net/yum/13/x86_64/src/ranger-1.1.2-2.fc13.src.rpm
Comment 4 Mamoru TASAKA 2010-07-24 15:40:39 EDT
Okay.

-------------------------------------------------------------
    This package (ranger) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 5 Ben Boeckel 2010-07-24 15:51:51 EDT
New Package CVS Request
=======================
Package Name:        ranger
Short Description:   A flexible console file manager
Owners:              mathstuf
Branches:            F-12 F-13
InitialCC:
Comment 6 Kevin Fenzi 2010-07-26 18:36:03 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Fedora Update System 2010-08-02 19:31:56 EDT
ranger-1.1.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ranger-1.1.2-2.fc12
Comment 8 Fedora Update System 2010-08-02 19:32:01 EDT
ranger-1.1.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ranger-1.1.2-2.fc13
Comment 9 Fedora Update System 2010-08-02 19:32:07 EDT
ranger-1.1.2-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/ranger-1.1.2-2.fc14
Comment 10 Fedora Update System 2010-08-02 22:13:32 EDT
ranger-1.1.2-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ranger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ranger-1.1.2-2.fc14
Comment 11 Mamoru TASAKA 2010-08-04 13:41:05 EDT
Closing.
Comment 12 Fedora Update System 2010-08-21 00:27:53 EDT
ranger-1.1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-21 00:30:44 EDT
ranger-1.1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-23 21:14:32 EDT
ranger-1.1.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.